Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Wombat Posted on 22/03/2020 13:47
FOA any beer drinking Roofers
Edited On: 22/03/2020 13:51
Report Message | Email Message To A Friend | Reply To Message
 
I just saw the post about Greene King taking care of their employees during COVID, and reminded me of my work in the UK.

I work in the cleaning chemicals business and am a brewery specialist for my company.

I spend 50% of my time in breweries and 50% of my time in food & beverage factories.

When I lived & worked in Leicester through the 1980's, my sales territory was East Anglia, and it was a great patch.... I am sure most have closed down now or been gobbled up in corporate takeovers but the old time beer drinkers on here may remember some of my old clients;

Watney's in Norwich & Mortlake (on the banks of the Thames).
Tolly Cobbold in Ipswich
Adnams in Southwold (right on the coast)
Charles Wells in Bedford
Greene King in Biggleswade (A1) and Bury St. Edmonds
Paines in St. Neots (A1)
McMullens in Hertford
Ruddles in Langham (Oakham)
Carlsberg in Northampton
Everards in Leicester (home base as I lived in Glen Parva and could see the brewery on ring-road/M69 junction from my house)
Bass / Allied in Burton
Sam Smiths / John Smiths (feuding brothers setting up rival breweries)
Home Ales/Shipstones/Hardy & Hanson - Notts

Great times and good ale / gentlemen brewers proud of their products & ties with local community (most pubs were 'tied houses' back then, owned by a specific brewery).

I currently work in the food & brewing industry in Canada - loads of craft breweries in Toronto, but the big boys are just like 'beer factories' these days which is sad to see.

Hope some of the old school Roofers had a smile at some of these names from the past, and would be interested if anyone has a story or recollection of these, or any other breweries?
IP: Logged
bnet Posted on 22/03/2020 14:12
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
you from Glen Parva Wombat ?
IP: Logged
Wombat Posted on 22/03/2020 14:20
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
No bnet, I'm from Melton

I had a girlfriend in Glen Parva that I visited regularly & stayed with in the 80's

The 'Horsefair' era if you're old enough to have been grooving to Jazz Funk back then?

IP: Logged
LeicesterRino Posted on 22/03/2020 14:32
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
What about Marstons?
IP: Logged
DagenhamFox Posted on 22/03/2020 14:57
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Adnams is still there and privately owned I think. Southwold is lovely and well worth a visit.

Charlie Wells merged with Youngs from Wandsworth to create a much larger brewery.

Greene King is still in Bury of course.

McMullens is also still going strong, I’ve no idea if they’re privately owned or been bought. Their pubs are still dotted around, there’s still one at Covent Garden.



IP: Logged
bnet Posted on 22/03/2020 15:06
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
yes Wombat, used the Horsefair a lot.
IP: Logged
Wombat Posted on 22/03/2020 15:39
FOA any beer drinking Roofers
Edited On: 22/03/2020 15:40
Report Message | Email Message To A Friend | Reply To Message 

 
Rino - Marston's Pedigree on draught, is my 'go-to' English ale and the first pint I have in my local when I come back to UK

Never did business with them though
IP: Logged
mickyhoss Posted on 22/03/2020 15:47
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Batemans of Wainfleet
IP: Logged
Wombat Posted on 22/03/2020 15:53
FOA any beer drinking Roofers
Edited On: 22/03/2020 17:10
Report Message | Email Message To A Friend | Reply To Message 

 
I just remembered Elgoods in Wisbech.

The Brewmaster was named John Holder, nicknamed 'Noddy' by the brewery workers [:P]

This was back in the 70's, when Slade were huge [^]
IP: Logged
Fugazi Posted on 22/03/2020 16:37
FOA any beer drinking Roofers
Edited On: 22/03/2020 16:39
Report Message | Email Message To A Friend | Reply To Message 

 
Used to like a drop of Old Original and Tiger when I lived in Leicester, as well as a few pints of the amazing Old Nigel down the Rainbow and Dove.

Micky,XXXB - what a beer!
IP: Logged
mickyhoss Posted on 22/03/2020 17:38
FOA any beer drinking Roofers
Edited On: 22/03/2020 17:47
Report Message | Email Message To A Friend | Reply To Message 

 
Woodfordes Brewery in Woodbastwick, Proper old Broadland ales
IP: Logged
Wombat Posted on 23/03/2020 16:56
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Wolverhampton & Dudley, Bank's Ale

and M&B (Mitchells & Butlers) in Birmingham for the old timers [:P]
IP: Logged
Fugazi Posted on 23/03/2020 17:41
FOA any beer drinking Roofers
Edited On: 23/03/2020 17:43
Report Message | Email Message To A Friend | Reply To Message 

 
Banks is a good'un. Nothing spectacular but just a decent ale. Bottled, it's only a quid in Morrisons. Used to drink it in the wonderfully named Victoria and Room Upstairs in the Jericho area of Oxford, home of The Jericho Tavern, where I saw a few great gigs.
IP: Logged
Wombat Posted on 23/03/2020 22:43
FOA any beer drinking Roofers
Edited On: 23/03/2020 23:20
Report Message | Email Message To A Friend | Reply To Message 

 
Fugazi - who did you see in there?
I saw Ian Gillan of Deep Purple playing with his own band at Northampton cricket club in front of 200 people. Magic night!!!
IP: Logged
mickyhoss Posted on 24/03/2020 06:51
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Old Ma Pardoes
IP: Logged
borebage53 Posted on 24/03/2020 07:22
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Barnsley Bitter!
IP: Logged
mickyhoss Posted on 24/03/2020 07:24
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Mansfield Ales
IP: Logged
mickyhoss Posted on 24/03/2020 07:33
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Old dingles footy song

We all hate Ansells and we hate M&B
We don't drink coffee and we don't drink tea
We don't play at soldiers and we don't play with toys
We are the Bank's booze boys
IP: Logged
DagenhamFox Posted on 24/03/2020 07:54
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Good old John Marston
A great Victorian bloke
He brought us Marstons
The finest ale in casks of oak

Brewed the Burton Union way
Up until the present day
And Pedigree’s the finest brew in all the land
IP: Logged
ElVesto Posted on 24/03/2020 07:54
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
I used to like a pint of Shipstones (Shippos), which was shunned by many as being a Nottingham ale. The one I thought was pretty awful was Offilers
IP: Logged
mickyhoss Posted on 24/03/2020 08:02
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 

Beer at home means Davenports!
That's the beer!
Lots of cheer!
The finest malt with hops and yeast,
Turns a snack into a feast.
Straight from breweries to your home,
Why collect?
We'll deliver!
Soon you'll know why folks all say:
"Beer at home means DAVENPORTS"!
IP: Logged
mickyhoss Posted on 24/03/2020 08:14
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Whitbread big head trophy bitter
The pint that thinks its s a quart
It's got the body, the body that satisfies
It can't be modest no matter how it tries
IP: Logged
SteveYork Posted on 24/03/2020 08:52
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
I don't remember the beer in the Jericho Tavern but I do remember going to see bands there, only one I can definitely remember is Talulah Gosh!
IP: Logged
oneofthe8 Posted on 24/03/2020 12:11
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Hoskins. Beaumanor Road.
IP: Logged
Fugazi Posted on 24/03/2020 12:48
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Well Wombat, bands you may never have heard of, unless you were into Peel and the early 90s indie scene: The Godmachine, The Telescopes and Slowdive were all all great and I also saw a local Oxford band called String supporting. They were good too. I bet Gillan was good. I watched the DP Perfect Strangers gig from '84 on Sky on Saturday. Top notch.

Sorry SteveYork, I meant that Jericho was home to the Tavern. The Vic was just down the road.

Oneofthe8 - Hoskins brewed the pokey but very drinkable Old Nigel.
IP: Logged
miles2lcfc Posted on 24/03/2020 20:44
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Great newer brewery from your time wombat is wolf brewery in attleborough near Norwich. Visited them for work a while ago. Make some great beers.
IP: Logged
TheAddersFox Posted on 24/03/2020 20:53
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Old hooky if ever it’s on and brewery at hook
Norton worth a visit
IP: Logged
Fugazi Posted on 24/03/2020 21:10
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Nice beer. The bottled stout is good too.

Wadworths Farmers Glory. Still around apparently.

Stones was good. Just found that the brewery closed though
IP: Logged
Wombat Posted on 25/03/2020 09:04
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Miles - will be in UK in August (providing travel ban/covid-19) is put to bed by then, and often go to Cromer / Norfolk as only 2 hours drive from Leicester. Will check out this brewery.

Were you selling them something / providing a service?
IP: Logged
kendalfox Posted on 25/03/2020 09:14
FOA any beer drinking Roofers

Report Message | Email Message To A Friend | Reply To Message 

 
Is Fuller's still going there Vintage Ale were'nt bad
IP: Logged
Wombat Posted on 25/03/2020 19:11
FOA any beer drinking Roofers
Edited On: 25/03/2020 21:46
Report Message | Email Message To A Friend | Reply To Message 

 
Kendal - Fullers ESB on draught is one of the best English ales in my opinion. Brewed in London, so not sure if its available in your area?
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103